Bug 471854 - [NetApp 5.4 feat] Add an option to specify multipathd verbosity through /etc/multipath.conf
[NetApp 5.4 feat] Add an option to specify multipathd verbosity through /etc/...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
5.4
All Linux
high Severity high
: beta
: 5.4
Assigned To: Ben Marzinski
Cluster QE
: FutureFeature, OtherQA
Depends On:
Blocks: 461680 483784
  Show dependency treegraph
 
Reported: 2008-11-17 02:37 EST by nandkumar mane
Modified: 2010-01-11 21:44 EST (History)
20 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:46:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nandkumar mane 2008-11-17 02:37:32 EST
Description of problem:
There are two different problems.
1) Currently there is no clean way of passing arguments to multipathd
daemon during startup. There should be parameter in /etc/multipatd.conf which will tell multipathd to run in particular verbosity mode.
2)If I start multipathd manually with -v3 verbosity, /etc/init.d/multipathd stop doesn't stop multipathd daemon as it compares exact process names.

Version-Release number of selected component (if applicable):
RHEL5.3 Snapshot1
device-mapper-multipath-0.4.7-21.el5
kernel : 2.6.18-121.el5

How reproducible:
very reproducible

Steps to Reproduce:
1.Try to configure verbosity in /etc/multipath.conf.
AND
1.Run multipathd daemon manually with verbosity.
2.Stop multipathd service.
  
Actual results:
1.You won't be able to configure verbosity in multipath.conf.
2.multipathd daemon will not be stopped.

Expected results:
One should be able to configure verbosity in /etc/multipath.conf. And to support this, /etc/init.d/multipathd script should stop multipathd daemon even if it is started with verbosity parameter.

Additional info:
Comment 3 Ben Marzinski 2009-04-29 00:44:03 EDT
There is now an option to set the verbosity of multipath and multipathd in /etc/multipath.conf

defaults {
    verbosity <0-6>
}

The -v command line option will override this value.
Comment 5 Chris Ward 2009-06-14 19:16:30 EDT
~~ Attention Partners RHEL 5.4 Partner Alpha Released! ~~

RHEL 5.4 Partner Alpha has been released on partners.redhat.com. There should
be a fix present that addresses this particular request. Please test and report back your results here, at your earliest convenience. Our Public Beta release is just around the corner!

If you encounter any issues, please set the bug back to the ASSIGNED state and
describe the issues you encountered. If you have verified the request functions as expected, please set your Partner ID in the Partner field above to indicate successful test results. Do not flip the bug status to VERIFIED. Further questions can be directed to your Red Hat Partner Manager. Thanks!
Comment 6 Tanvi 2009-06-24 05:25:40 EDT
I have verified it in RHEL 5.4 Partner Alpha, I could set the verbosity of multipathd in /etc/multipath.conf. Thank you.
Comment 8 errata-xmlrpc 2009-09-02 07:46:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1377.html

Note You need to log in before you can comment on or make changes to this bug.